Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface GeneAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

All Known Subinterfaces:
  LockableGeneAdaptor

public interface GeneAdaptor
extends FeatureAdaptor

Provides access to genes in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default GeneAdaptor available from a driver.

Method Summary
`void` | `delete(Gene gene)` Deletes gene with specified internalID plus it's transcripts, translations and exons.
`void` | `delete(long geneInternalID)` Deletes gene with specified internalID plus it's transcripts, translations and exons.
`Gene` | `fetch(long internalID)`
`java.util.List` | `fetch(Query query)` Deprecated. since version 27.0. Use other fetch(...) methods instead.
`Gene` | `fetch(java.lang.String accessionID)`
`void` | `fetchAccessionID(Gene gene)` Retrieves gene's accession from persistent store and sets gene.accession.
`java.util.List` | `fetchByInterproID(java.lang.String interproID)`
`java.util.List` | `fetchBySynonym(java.lang.String synonym)`
`long` | `store(Gene gene)` Store the gene in the approriate data source.

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default GeneAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### store

    public long store(Gene gene)
               throws AdaptorException

  Store the gene in the approriate data source.

  Returns:
    internalID assigned to gene.
  Throws:
    `AdaptorException`

### fetch

    public Gene fetch(long internalID)
               throws AdaptorException

  Returns:
    A gene matching the internalID, or null if non found.
  Throws:
    `AdaptorException`

### fetch

    public Gene fetch(java.lang.String accessionID)
               throws AdaptorException

  Returns:
    A gene matching the accessionID, or null if non found.
  Throws:
    `AdaptorException`

### fetchBySynonym

    public java.util.List fetchBySynonym(java.lang.String synonym)
                                  throws AdaptorException

  Returns:
    zero or more Genes with the specified synonym.
  Throws:
    `AdaptorException`

### fetchByInterproID

    public java.util.List fetchByInterproID(java.lang.String interproID)
                                     throws AdaptorException

  Returns:
    Genes matching the interpro id, empty list if non found.
  Throws:
    `AdaptorException`

### fetchAccessionID

    public void fetchAccessionID(Gene gene)
                          throws AdaptorException

  Retrieves gene's accession from persistent store and sets gene.accession.

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Query query)
                         throws AdaptorException

  Deprecated. since version 27.0. Use other fetch(...) methods instead.

  Returns:
    List containing zero or more items matching the query.
  Throws:
    `AdaptorException`

### delete

    public void delete(Gene gene)
                throws AdaptorException

  Deletes gene with specified internalID plus it's transcripts, translations and exons.

  Throws:
    `AdaptorException`

### delete

    public void delete(long geneInternalID)
                throws AdaptorException

  Deletes gene with specified internalID plus it's transcripts, translations and exons.

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD